- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnUInt64ArrayData Class Reference

# OpenMaya - API module for common classes | FunctionSet classes

Search for all occurrences

## Detailed Description

MUint64 array function set for dependency node data.

MFnUInt64ArrayData allows the creation and manipulation of MUint64Array data objects for use in the dependency graph.

If a user written dependency node either accepts or produces MUint64Arrays, then this class is used to extract or create the data that comes from or goes to other dependency graph nodes. The MDataHandle::type method will return kUInt64Array when data of this type is present. To access it, the MDataHandle::data method is used to get an MObject for the data and this should then be used to initialize an instance of MFnUInt64ArrayData.

`#include <MFnUInt64ArrayData.h>`

Inheritance diagram for MFnUInt64ArrayData:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnUInt64ArrayData ()
| Destructor.
| MFnUInt64ArrayData ()
| Default constructor.
| MFnUInt64ArrayData (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
unsigned int | length (MStatus *ReturnStatus=NULL) const
| Return the number of MUint64s in the instance.
MStatus | set (MUint64 element, unsigned int index)
| Set the element at the specified index of the array.
MStatus | copyTo (MUint64Array &) const
| Copy all the MUint64s in the instance into the given MUint64Array.
MStatus | set (const MUint64Array &newArray)
| Set the instance to contain the MUint64s defined in the given MUint64Array.
MUint64Array | array (MStatus *ReturnStatus=NULL)
| Return an MUint64Array containing the MUint64 array currently operated upon by the function set.
MObject | create (MStatus *ReturnStatus=NULL)
| Create a new MObject, attach it to this instance, and initialize it to be empty.
MObject | create (const MUint64Array &in, MStatus *ReturnStatus=NULL)
| Create a new MObject, attach it to this instance, and initialize it to contain the data from the given MUint64Array.
| MFnUInt64ArrayData (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MUint64 | operator[] (unsigned int index) const
| NO SCRIPT SUPPORT.
MUint64 & | operator[] (unsigned int index)
| Extract the indicated MUint64 from the instance.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnUInt64ArrayData | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnUInt64ArrayData | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kUInt64ArrayData.

Reimplemented from MFnData.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnUInt64ArrayData".

Reimplemented from MFnData.

unsigned int length | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Return the number of MUint64s in the instance.

Parameters:

  [out] | ReturnStatus | kFailure if the instance is not attached to an MObject, and kSuccess otherwise.

Returns:
  The number of MUint64s in the instance

MStatus set | ( | MUint64 | element,
|  | unsigned int | index
| ) |  |

Search for all occurrences

Set the element at the specified index of the array.

No checking is done by this class to ensure that the index is valid - use the length method to determine the size of the array.

Parameters:

  [in] | element | the element
  [in] | index | the index of the MUint64 to set

Returns:
  - kSuccess operation successful
  - kFailure instance is not attached to an MObject

MStatus copyTo | ( | MUint64Array & | dest | ) | const

Search for all occurrences

Copy all the MUint64s in the instance into the given MUint64Array.

Parameters:

  [out] | dest | the MUint64Array to populate

Returns:
  - kSuccess operation successful
  - kFailure instance is not attached to an MObject

MStatus set | ( | const MUint64Array & | array | ) |

Search for all occurrences

Set the instance to contain the MUint64s defined in the given MUint64Array.

Parameters:

  [in] | array | the MUint64Array containing the data to set into this instance

Returns:
  - kSuccess operation successful
  - kFailure instance is not attached to an MObject

MUint64Array array | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Return an MUint64Array containing the MUint64 array currently operated upon by the function set.

The MUint64Array returned by this method is editable, so any changes to the return instance also affects the MObject operated upon by this function set.

Parameters:

  [out] | ReturnStatus | kFailure if the instance is not attached to an MObject, and kSuccess otherwise.

Returns:
  A copy of the MUint64Array held in this instance

MObject create | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Create a new MObject, attach it to this instance, and initialize it to be empty.

Parameters:

  [out] | ReturnStatus | kSuccess

Returns:
  The newly created MObject

MObject create | ( | const MUint64Array & | arr,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Create a new MObject, attach it to this instance, and initialize it to contain the data from the given MUint64Array.

Parameters:

  [in] | arr | the data to use when initializing this instance
  [out] | ReturnStatus | kSuccess

Returns:
  The newly created MObject

MUint64 operator[] | ( | unsigned int | index | ) | const

NO SCRIPT SUPPORT.

Extract the indicated MUint64 from the const instance.

No checking is done by this class to ensure that the index is valid - use the length method to determine the size of the array. If the instance is not attached to an MObject, this method will return an MUint64 containing zero.

Parameters:

  [in] | index | the index of the MUint64 to extract

Returns:
  The indicated MUint64

MUint64 & operator[] | ( | unsigned int | index | ) |

Extract the indicated MUint64 from the instance.

by the function set. The MUint64 returned by this method is editable, so any changes to the return instance also affects the MObject operated upon by this function set.

No checking is done by this class to ensure that the index is valid - use the length method to determine the size of the array. If the instance is not attached to an MObject, this method will return an MUint64 containing zero.

Parameters:

  [in] | index | the index of the MUint64 to extract

Returns:
  The indicated MUint64

MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData
MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData MFnUInt64ArrayData